OrderKuota REST API Documentation

1. Login

Endpoint: POST /login

Body (JSON):

{
  "username": "user_example",
  "password": "password_example",
  "token": "API_TOKEN"
}

Response:

{
  "status": "success",
  "data": { ... }
}

2. Verify OTP

Endpoint: POST /verify

Body (JSON):

{
  "username": "user_example",
  "otp": "123456",
  "token": "API_TOKEN"
}

Response:

{
  "status": "success",
  "data": { ... }
}

3. Get Mutasi

Endpoint: GET /mutasi

Query Parameters:

?merchant=MERCHANT_ID&apikey=API_KEY&token=API_TOKEN&page=1&status=IN

Response:

{
  "status": "success",
  "http_code": 200,
  "total": 2,
  "data": [
    {
      "date": "2025-12-04 12:00:00",
      "amount": 10000,
      "type": "CR",
      "qris": "static",
      "brand_name": "Brand Example",
      "issuer_reff": "123456",
      "buyer_reff": "Order123",
      "balance": 50000
    }
  ],
  "verified_by": "username_owner"
}

4. Create QRIS

Endpoint: POST /create-qris

Body (JSON):

{
  "amount": 50000,
  "fee": 500,
  "kode_unik": 123,
  "token": "API_TOKEN",
  "qris_template": "010211...5802ID..."
}

Response:

{
  "status": "success",
  "data": {
    "amount": 50000,
    "fee": 500,
    "kode_unik": 123,
    "total_amount": 50623,
    "qris_string": "01021254...5802ID...CRC",
    "qris_file": "./resources/tmp/QRIS-ABC123DEF.png"
  },
  "message": "QRIS string berhasil dibuat dari template"
}

Try API

Test Create QRIS langsung di browser:

Response:

{}